Bug 119884 - yum update policy fails (FC2T2)
yum update policy fails (FC2T2)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-02 15:11 EST by keith adamson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 22:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description keith adamson 2004-04-02 15:11:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
After clean install of FC2T2 today (workstation with defaults) then
run yum update and I get:

# yum update
...
policy 100 % done 79/389
/usr/sbin/load_policy:  security_load_policy failed
error: %post(policy-1.9.2-5) scriptlet failed, exit status 3
...

After update complete then I have two policy packages:

# rpm -q policy
policy-1.9-15
policy-1.9.2-5

Then when I install kernel-source:

# yum install kernel-source
Gathering header information file(s) from server(s)
Server: Fedora Core 1.91 - Development Tree
Finding updated packages
Downloading needed headers
Resolving dependencies
.Dependencies resolved
I will do the following:
[install: kernel-source 2.6.4-1.303.i386]
I will install/upgrade these to satisfy the dependencies:
[deps: qt-devel 1:3.3.1-0.7.i386]
Is this ok [y/N]: y
Downloading Packages
Getting qt-devel-3.3.1-0.7.i386.rpm
qt-devel-3.3.1-0.7.i386.r 100% |=========================|  20 MB    00:25
Getting kernel-source-2.6.4-1.303.i386.rpm
kernel-source-2.6.4-1.303 100% |=========================|  43 MB    00:53
Running test transaction:
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:canna_va r_lib_t on line number 623
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_ exec_t on line number 775
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_ auth_exec_t on line number 776
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_ cert_t on line number 777
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_ cert_t on line number 778
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_ var_run_t on line number 779
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:pppd_etc _t on line number 1322
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:screensa ver_exec_t on line number 1466
Test transaction complete, Success!
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:canna_var_lib_t on line number 6 23
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_exec_t on line number 77 5
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_auth_exec_t on line numb er 776
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_cert_t on line number 77 7
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_cert_t on line number 77 8
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:dovecot_var_run_t on line number  779
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:pppd_etc_t on line number 1322
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:screensaver_exec_t on line numbe r 1466
qt-devel 100 % done 1/2
kernel-source 100 % done 2/2
Installed:  kernel-source 2.6.4-1.303.i386
Dep Installed:  qt-devel 1:3.3.1-0.7.i386
Transaction(s) Complete

I don't know if this is related?   On a side note: qt-devel is
required by kernel-source package?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.clean install of FC2T2
2.run yum update
3.yum install kernel-source
    

Actual Results:  policy errors and two policy packages

Expected Results:  no errors and a single policy package

Additional info:

I don't know anything (yet) about selinux but I'm using a clean FC2T2
install with:

# cat /etc/sysconfig/selinux
SELINUX=enforcing
Comment 1 Daniel Walsh 2004-04-02 23:45:55 EST
This is being caused because we had a major release upgrade in the
kernel you are running but you have not rebooted yet.  The kernel went
from 15->16  The Makefile was upgraded but is not smart enough to know
if you rebooted into the new kernel yet.  We will make sure the
Makefile checks this in the future when the version changes.

If you reboot your machine everything should work.

Note You need to log in before you can comment on or make changes to this bug.